%define libname %mklibname psqlodbc

%define tar_ver	%(echo %{version}|sed -e 's/\\./\\_/g')

Summary: 	The official PostgreSQL ODBC Driver
Name: 		psqlodbc
Version: 	17.00.0005
Release: 	%mkrel 1
License: 	LGPLv2
Group: 		Databases
Url: 		https://odbc.postgresql.org/
#https://ftp.postgresql.org/pub/odbc/versions/src/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/postgresql-interfaces/psqlodbc/archive/REL-%{tar_ver}/%{name}-%{version}.tar.gz
BuildRequires:	unixODBC-devel
BuildRequires:	postgresql-devel >= 17

%description
The official PostgreSQL ODBC Driver.

%package -n %libname
Group: 		Databases
Summary: 	The official PostgreSQL ODBC Driver
Provides:	psqlodbc

%description -n %libname
The official PostgreSQL ODBC Driver.

%prep
%setup -q -n %{name}-REL-%{tar_ver}

%build
./bootstrap
%configure
%make_build

%install
%make_install

%files -n %libname
%_libdir/psqlodbc*
%doc docs




%changelog
* Wed May 28 2025 ns80 <ns80> 17.00.0005-1.mga10
+ Revision: 2186819
- new version 17.00.0005

* Mon Dec 02 2024 daviddavid <daviddavid> 17.00.0003-1.mga10
+ Revision: 2120692
- new version: 17.00.0003

* Fri Mar 18 2022 umeabot <umeabot> 13.02.0000-2.mga9
+ Revision: 1797962
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 13.02.0000-1.mga9
+ Revision: 1771058
- version 13.02.0000

* Tue Nov 24 2020 shlomif <shlomif> 13.00.0000-1.mga8
+ Revision: 1648988
- New version 13.00.0000

* Wed Jun 03 2020 cheeseeboi <cheeseeboi> 12.02.0000-1.mga8
+ Revision: 1590179
- Updated to version 12.02.0000

* Wed Feb 19 2020 umeabot <umeabot> 12.01.0000-2.mga8
+ Revision: 1543168
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 16 2020 shlomif <shlomif> 12.01.0000-1.mga8
+ Revision: 1478210
- New version 12.01.0000

* Fri Aug 09 2019 shlomif <shlomif> 11.01.0000-1.mga8
+ Revision: 1428434
- New version 11.01

* Fri Mar 15 2019 shlomif <shlomif> 11.00.0000-1.mga7
+ Revision: 1377315
- New version 11.00

* Sat Aug 25 2018 daviddavid <daviddavid> 10.03.0000-1.mga7
+ Revision: 1254225
- new version: 10.03.0000

* Sat Apr 14 2018 kekepower <kekepower> 10.02.0000-1.mga7
+ Revision: 1218722
- Update to version 10.02.0000

* Sat Sep 09 2017 cjw <cjw> 09.02.0100-8.mga7
+ Revision: 1152036
- rebuild for openssl 1.1

* Thu Mar 03 2016 umeabot <umeabot> 09.02.0100-7.mga6
+ Revision: 983932
- Rebuild for openssl

* Mon Feb 08 2016 umeabot <umeabot> 09.02.0100-6.mga6
+ Revision: 950853
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 09.02.0100-5.mga5
+ Revision: 798931
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 09.02.0100-4.mga5
+ Revision: 747872
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 09.02.0100-3.mga5
+ Revision: 687817
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 09.02.0100-2.mga4
+ Revision: 533017
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 09.02.0100-1.mga4
+ Revision: 470590
- 09.02.0100

* Mon Jan 21 2013 dlucio <dlucio> 09.01.0200-4.mga3
+ Revision: 390620
- lets add a provide

* Mon Jan 21 2013 dlucio <dlucio> 09.01.0200-3.mga3
+ Revision: 390605
- bump release

* Wed Jan 16 2013 dlucio <dlucio> 09.01.0200-2.mga3
+ Revision: 388536
- Correct S0 url

* Wed Jan 16 2013 dlucio <dlucio> 09.01.0200-1.mga3
+ Revision: 388530
- imported package psqlodbc


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 08.04.0100-3mdv2011.0
+ Revision: 614625
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 08.04.0100-2mdv2010.1
+ Revision: 536663
- rebuild

* Mon Nov 23 2009 Funda Wang <fwang@mandriva.org> 08.04.0100-1mdv2010.1
+ Revision: 469246
- New version 08.04.0100

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Oct 11 2008 Olivier Thauvin <nanardon@mandriva.org> 08.03.0300-1mdv2009.1
+ Revision: 291769
- fix group tag
- fix file list to not include debug files
- import psqlodbc



